Security Enhanced Linux Reference Policy

# Layer: services

## Module: ftp

Tunables Interfaces

### Description:

File transfer protocol service

### Tunables:

allow_ftpd_anon_write

##### Default value

false

##### Description

Allow ftp servers to upload files, used for public file transfer services. Directories must be labeled public_content_rw_t.

allow_ftpd_full_access

##### Default value

false

##### Description

Allow ftp servers to login to local users and read/write all files on the system, governed by DAC.

allow_ftpd_use_cifs

##### Default value

false

##### Description

Allow ftp servers to use cifs used for public file transfer services.

allow_ftpd_use_nfs

##### Default value

false

##### Description

Allow ftp servers to use nfs used for public file transfer services.

ftp_home_dir

##### Default value

false

##### Description

Allow ftp to read and write files in the user home directories

Return

### Interfaces:

ftp_admin( domain , role )

##### Summary

All of the rules required to administrate an ftp environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the ftp domain.

ftp_check_exec( domain )

##### Summary

Execute FTP daemon entry point programs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ftp_domtrans_ftpdctl( domain )

##### Summary

Execute the ftpdctl program in the ftpdctl domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ftp_read_config( domain )

##### Summary

Read ftpd etc files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ftp_read_log( domain )

##### Summary

Read FTP transfer logs

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ftp_run_ftpdctl( domain , role )

##### Summary

Execute the ftpdctl program in the ftpdctl domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to allow the ftpdctl domain.

ftp_tcp_connect( domain )

##### Summary

Use ftp by connecting over TCP. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return